Ext.onReady(function(){
	
	// editor for 'network_view' field in network object - combobox which allows to select some existing network view
	var networkViewSelector = {
		xtype: 'combobox',
		store: this.store = Ext.create('Ext.data.Store',{
			autoLoad: true,
			autoSync: false,
			model:'NetworkView'
		}),
		displayField:'name',
		valueField: 'name',
		queryMode: 'local'
	};
	
	// grid for networks
	var networkGrid = Ext.create('grid.basegrid', {
        model: 'Network',
		renderTo: 'network-list',
        width: 500,
        height: 300,
		title: 'Networks',
        columns: [{
            text: 'Network',
            dataIndex: 'network',
			field: {
                xtype: 'textfield'
            },
			width: 150
        },{
		   text: 'Network View',
           dataIndex: 'network_view',
		   width: 150,
		   field: networkViewSelector
        },{
            header: 'Comment',
            dataIndex: 'comment',
			field: {
                xtype: 'textfield'
            },
			width: 190
		}]
    });
	
});